device "hostap_cs"
   class "network" module "hostap", "hostap_cs"

card "Intersil PRISM2 Reference Design 11Mb/s WLAN Card"
   version "INTERSIL", "HFA384x/IEEE"
   bind "hostap_cs"

card "Compaq WL100 11Mb/s WLAN Card"
   manfid 0x0138, 0x0002
   bind "hostap_cs"

card "Compaq WL200"
   version "Compaq", "WL200_11Mbps_Wireless_PCI_Card"
   bind "hostap_cs"

card "EMTAC A2424i 11Mbps WLAN Card"
   manfid 0xc250, 0x0002
#   cis "cis/Emtac.dat"
   bind "hostap_cs"

card "Linksys WPC11 11Mbps WLAN Card"
   version "Instant Wireless ", " Network PC CARD", "Version 01.02"
   bind "hostap_cs"

card "Linksys WPC11 Ver 2.5 11Mbps WLAN Card"
   manfid 0x0274, 0x1612
   bind "hostap_cs"

card "Linksys WPC11 Ver 3 11Mbps WLAN Card"
   manfid 0x0274, 0x1613
   bind "hostap_cs"

card "Linksys WCF12 Wireless CompactFlash Card"
   version "Linksys", "Wireless CompactFlash Card"
   bind "hostap_cs"

card "D-Link DWL-650 11Mbps WLAN Card"
   version "D", "Link DWL-650 11Mbps WLAN Card", "Version 01.02"
   bind "hostap_cs"

card "D-Link DRC-650 11Mbps WLAN Card"
#  version "D", "Link DRC-650 11Mbps WLAN Card", "Version 01.02"
   manfid 0x028a, 0x0002
   bind "hostap_cs"

card "ZoomAir 4100 11Mb/s WLAN Card"
   version "ZoomAir 11Mbps High", "Rate wireless Networking"
   bind "hostap_cs"

card "Addtron AWP-100 11Mbps WLAN Card"
   version "Addtron", "AWP-100 Wireless PCMCIA", "Version 01.02"
   bind "hostap_cs"

card "Samsung SWL2000-N 11Mb/s WLAN Card"
   manfid 0x0250, 0x0002
   bind "hostap_cs"

card "SMC 2632W 11Mbps WLAN Card"
   version "SMC", "SMC2632W", "Version 01.02"
   bind "hostap_cs"

card "BroMax Freeport 11Mbps WLAN Card"
   version "Intersil", "PRISM 2_5 PCMCIA ADAPTER", "ISL37300P", "Eval-RevA"
   bind "hostap_cs"

card "Z-Com XI300 11Mb/s WLAN Card"
   manfid 0xd601, 0x0002
   bind "hostap_cs"

card "Zcomax XI-325H 200mW"
#   version " ", "IEEE 802.11 Wireless LAN/PC Card"
   manfid 0xd601, 0x0005
   bind "hostap_cs"

card "3Com AirConnect PCI 777A"
   manfid 0x0101, 0x0777
   bind "hostap_cs"

card "U.S. Robotics IEEE 802.11b PC-CARD"
   version "U.S. Robotics", "IEEE 802.11b PC-CARD", "Version 01.02"
#   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "Longshine LCR-8531 11Mbps WLAN PCMCIA CARD"
   version "OEM", "PRISM2 IEEE 802.11 PC-Card", "Version 01.02"
#   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "Philips 802.11b WLAN PCMCIA"
   manfid 0x000b, 0x7300
   bind "hostap_cs"

card "Proxim RangeLAN"
#   version "PROXIM", "RangeLAN-DS/LAN PC CARD"
   manfid 0x0126, 0x8000
   bind "hostap_cs"

card "Buffalo WLI-CF-S11G"
   version "BUFFALO", "WLI-CF-S11G"
#  manfid 0x026f, 0x030b
   bind "hostap_cs"

card "Level-One WPC-0100"
   version "Digital Data Communications", "WPC-0100", "Version 00.00"
   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "Belkin 802.11b WLAN PCMCIA"
   version "Belkin", "11Mbps Wireless Notebook Network Adapter", "Version 01.02"
   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "Senao SL-2011CD/SL-2011CDPLUS"
   version "INTERSIL", "HFA384x/IEEE", "Version 01.02"
   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "Fulbond Airbond XI-300B"
   version " ", "IEEE 802.11 Wireless LAN/PC Card"
   manfid 0xd601, 0x0002
   bind "hostap_cs"

card "Netgear MA401"
   version "NETGEAR MA401 Wireless PC", "Card", "Version 01.00"
#   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "D-Link DWL-650 Rev. P1"
   version "D-Link", "DWL-650 Wireless PC Card RevP", "ISL37101P-10", "A3"
#   manfid 0x000b, 0x7110
   bind "hostap_cs"

card "SonicWALL Long Range Wireless Card"
   version "SonicWALL", "Long Range Wireless Card", "ISL37100P", "1.0"
   manfid 0x000b, 0x7100
   bind "hostap_cs"

card "Senao NL-2011CD PLUS Ext2 Mercury"
   version "WLAN", "11Mbps_PC-Card_3.0", "ISL37100P", "Eval-RevA"
   manfid 0x000b, 0x7100
   bind "hostap_cs"

card "Airvast WL100"
   version "AIRVAST", "IEEE 802.11b Wireless PCMCIA Card", "HFA3863"
   manfid 0x50c2, 0x0001
   bind "hostap_cs"

card "Microsoft Wireless Notebook Adapter MN-520 1.0.3"
   version "Microsoft", "Wireless Notebook Adapter MN-520", "", "1.0.3"
   manfid 0x02d2, 0x0001
   bind "hostap_cs"

card "NETGEAR MA401RA"
   version "NETGEAR MA401RA Wireless PC", "Card", "ISL37300P", "Eval-RevA"
   manfid 0x000b, 0x7300
   bind "hostap_cs"

card "Allied Telesyn AT-WCL452"
   version "Allied Telesyn", "AT-WCL452 Wireless PCMCIA Radio", "Ver. 1.00"
   manfid 0xc00f, 0x000
   bind "hostap_cs"

card "ASUS WL-100 8011b WLAN PC Card"
   version "ASUS", "802_11b_PC_CARD_25", "Version 01.00"
   manfid 0x02aa, 0x0002
   bind "hostap_cs"


# Optional configuration parameters for hostap_cs.o
# module "hostap_cs" opts "channel=3 iw_mode=3 essid=test ignore_cis_vcc=0"
module "hostap_cs" opts "channel=3 iw_mode=2 essid=any ignore_cis_vcc=1"

card "3Com AirConnect"
  version "3Com", "3CRWE737A AirConnect Wireless LAN PC Card"
  bind "hostap_cs"

card "Actiontec 802CI2"
  manfid 0x1668, 0x0101
  bind "hostap_cs"

card "AirWay 802.11 Adapter (PCMCIA)"
  #version "AirWay", "802.11 Adapter (PCMCIA)"
  manfid 0x0261, 0x0002
  bind "hostap_cs"

card "Asus SpaceLink WL110"
   manfid 0x02aa,0x0002
   bind "hostap_cs"

## handhelds.org bug 964
card "Belkin F5D6060 Ethernet"
   #version "PCMCIA", "11M WLAN Card v2.5", "ISL37300P", "RevA"
   manfid 0x0274, 0x1612
   bind "hostap_cs"

card "Compaq 11Mbps Wireless PC Card"
  manfid 0x028a, 0x0002
  bind "hostap_cs"

card "Compaq WL100 11 Mbps Wireless Adapter"
  manfid 0x0138, 0x0002
  bind "hostap_cs"

card "Compaq HNW-100 11 Mbps Wireless Adapter"
  manfid 0x028a, 0x0002
  bind "hostap_cs"

card "D-Link DWL-650"
  version "D", "Link DWL-650 11Mbps WLAN Card"
  bind "hostap_cs"

card "D-Link DRC-650"
  version "D", "Link DRC-650 11Mbps WLAN Card"
  bind "hostap_cs"

card "D-Link DCF660"
  manfid 0xd601, 0x0005
  bind "hostap_cs"

card "Farallon SkyLINE"
  version "INTERSIL", "HFA384x/IEEE"
  bind "hostap_cs"

card "HyperLink Wireless PC Card 11Mbps"
  version "HyperLink", "Wireless PC Card 11Mbps"
  bind "hostap_cs"

# card "Intersil PRISM2 11 Mbps Wireless Adapter"
#   manfid 0x0156, 0x0002
#  bind "hostap_cs"

card "Intel PRO/Wireless 2011"
  manfid 0x0089, 0x0001
  bind "hostap_cs"

card "LA4111 Spectrum24 Wireless LAN PC Card"
  version "Symbol Technologies"
  bind "hostap_cs"

card "Linksys WPC11 11Mbps 802.11b WLAN Card"
  version "Instant Wireless ", " Network PC CARD", "Version 01.02"
  bind "hostap_cs"

card "Linksys WCF11 11Mbps 802.11b WLAN Card"
   manfid 0x0274, 0x3301                                   
   bind "hostap_cs" 

## handhelds.org bug #790
card "Linksys Wireless CompactFlash Card WCF12"
  manfid 0x028a, 0x0673
  bind "hostap_cs"

card "Linksys WLAN CF Card"
  manfid 0x0274, 0x3301
  bind "hostap_cs"

card "MELCO WLI-PCM-L11"
  version "MELCO", "WLI-PCM-L11"
  bind "hostap_cs"

card "MELCO WLI-PCM-L11G"
  version "MELCO", "WLI-PCM-L11G"
  bind "hostap_cs"

card "MELCO WLI-PCM-L11G"
  version "BUFFALO", "WLI-PCM-L11G"
  bind "hostap_cs"

card "Buffalo WLI2-CF-S11"
  version "BUFFALO", "WLI2-CF-S11"
  bind "hostap_cs"

card "NETGEAR MA701 Wireless CF Card"
manfid 0xd601, 0x0002
bind "hostap_cs"

card "NCR WaveLAN/IEEE Adapter"
  version "NCR", "WaveLAN/IEEE"
  bind "hostap_cs"

card "Nortel Networks eMobility 802.11 Wireless Adapter"
  manfid 0x01eb, 0x080a
  bind "hostap_cs"

card "PLANEX GeoWave GW-CF110"
  version "PLANEX", "GeoWave/GW-CF110"
  bind "hostap_cs"

card "PROXIM LAN PC CARD HARMONY 80211B"
  version "PROXIM", "LAN PC CARD HARMONY 80211B"
  bind "hostap_cs"

card "Proxim RangeLAN/DS"
  version "PROXIM","RangeLAN-DS/LAN PC CARD"
  manfid 0x0126, 0x8000
  bind "hostap_cs"

card "Safeway 802.11b Wireless Adapter"
  manfid 0xd601, 0x0002
  bind "hostap_cs"

card "SAMSUNG 11Mbps WLAN Card"
  version "SAMSUNG", "11Mbps WLAN Card"
  bind "hostap_cs"

# needs firmware upload via hostap_fw_load
card "SanDisk ConnectPlus OEM (0MB)"
   manfid 0xd601, 0x0010
   bind "hostap_cs"

# needs special activation (>=hostap 0.3.2 only) plus firmware upload
card "SanDisk ConnectPlus w/ Memory"
   version "SanDisk", "ConnectPlus"
   manfid 0xd601, 0x0101
   bind "hostap_cs" to 0
#   bind "ide-cs" to 1

card "Senao/Origo 80211b WLAN Card"
   manfid 0x000b,0x7100
   bind "hostap_cs"

card "Sitecom WL-007 WLAN CF Card"
  manfid 0xd601, 0x0004
  bind "hostap_cs"

card "SMC2632 802.11 (prism2) Card"
  version "SMC", "SMC2632W", "Version 01.02", ""
  bind "hostap_cs"

card "SpeedStream SS1021 Wireless Adapter"
  #version "Siemens", "SpeedStream Wireless PCMCIA"
  manfid 0x02ac, 0x0002
  bind "hostap_cs"

card "ZCOMAX AirRunner/XI-300"
  #version "ZCOMAX", "AirRunner/XI-300"
  manfid 0xd601, 0x0002
  bind "hostap_cs"

card "Zonet ZCF1100"
  manfid 0x000b, 0x7100
  bind "hostap_cs"
  
card "Wireless LAN Adapter Version 01.02"
   version "Wireless", "LAN Adapter", "Version 01.02"
#   manfid 0x0156, 0x0002
   bind "hostap_cs"

card "Ambicom WL1100C 11Mbs Card 802.11b"
  manfid 0xd601,0x0002
  bind "hostap_cs"

card "Sandisk Connect SDWCFB-000"
  manfid 0xd601,0x0005
  bind "hostap_cs"
